# depot-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 1.0.0
- Generator version: 7.4.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import depot_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import depot_api
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import depot_api
from depot_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = depot_api.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

configuration.access_token = os.environ["ACCESS_TOKEN"]


# Enter a context with an instance of the API client
with depot_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = depot_api.DefaultApi(api_client)
    cluster_in = depot_api.ClusterIn() # ClusterIn | 

    try:
        # Create Cluster
        api_response = api_instance.create_cluster_clusters_post(cluster_in)
        print("The response of DefaultApi->create_cluster_clusters_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->create_cluster_clusters_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**create_cluster_clusters_post**](docs/DefaultApi.md#create_cluster_clusters_post) | **POST** /clusters/ | Create Cluster
*DefaultApi* | [**create_job_instance_job_instances_post**](docs/DefaultApi.md#create_job_instance_job_instances_post) | **POST** /job_instances/ | Create Job Instance
*DefaultApi* | [**create_managed_ssh_key_managed_ssh_keys_post**](docs/DefaultApi.md#create_managed_ssh_key_managed_ssh_keys_post) | **POST** /managed_ssh_keys/ | Create Managed Ssh Key
*DefaultApi* | [**create_provider_providers_post**](docs/DefaultApi.md#create_provider_providers_post) | **POST** /providers/ | Create Provider
*DefaultApi* | [**create_repository_repositories_post**](docs/DefaultApi.md#create_repository_repositories_post) | **POST** /repositories/ | Create Repository
*DefaultApi* | [**create_ssh_key_ssh_keys_post**](docs/DefaultApi.md#create_ssh_key_ssh_keys_post) | **POST** /ssh_keys/ | Create Ssh Key
*DefaultApi* | [**delete_cluster_clusters_cluster_id_delete**](docs/DefaultApi.md#delete_cluster_clusters_cluster_id_delete) | **DELETE** /clusters/{cluster_id} | Delete Cluster
*DefaultApi* | [**delete_job_instance_job_instances_job_instance_id_delete**](docs/DefaultApi.md#delete_job_instance_job_instances_job_instance_id_delete) | **DELETE** /job_instances/{job_instance_id} | Delete Job Instance
*DefaultApi* | [**delete_provider_providers_provider_id_delete**](docs/DefaultApi.md#delete_provider_providers_provider_id_delete) | **DELETE** /providers/{provider_id} | Delete Provider
*DefaultApi* | [**delete_ssh_key_ssh_keys_key_name_delete**](docs/DefaultApi.md#delete_ssh_key_ssh_keys_key_name_delete) | **DELETE** /ssh_keys/{key_name} | Delete Ssh Key
*DefaultApi* | [**get_managed_ssh_key_managed_ssh_keys_get**](docs/DefaultApi.md#get_managed_ssh_key_managed_ssh_keys_get) | **GET** /managed_ssh_keys/ | Get Managed Ssh Key
*DefaultApi* | [**list_clusters_clusters_get**](docs/DefaultApi.md#list_clusters_clusters_get) | **GET** /clusters/ | List Clusters
*DefaultApi* | [**list_job_instances_job_instances_get**](docs/DefaultApi.md#list_job_instances_job_instances_get) | **GET** /job_instances/ | List Job Instances
*DefaultApi* | [**list_providers_providers_get**](docs/DefaultApi.md#list_providers_providers_get) | **GET** /providers/ | List Providers
*DefaultApi* | [**list_providers_types_provider_types_get**](docs/DefaultApi.md#list_providers_types_provider_types_get) | **GET** /provider_types/ | List Providers Types
*DefaultApi* | [**list_repositories_repositories_get**](docs/DefaultApi.md#list_repositories_repositories_get) | **GET** /repositories/ | List Repositories
*DefaultApi* | [**list_ssh_keys_ssh_keys_get**](docs/DefaultApi.md#list_ssh_keys_ssh_keys_get) | **GET** /ssh_keys/ | List Ssh Keys
*DefaultApi* | [**login_token_post**](docs/DefaultApi.md#login_token_post) | **POST** /token | Login
*DefaultApi* | [**read_cluster_clusters_cluster_id_get**](docs/DefaultApi.md#read_cluster_clusters_cluster_id_get) | **GET** /clusters/{cluster_id} | Read Cluster
*DefaultApi* | [**read_job_instance_by_name_job_instances_by_name_get**](docs/DefaultApi.md#read_job_instance_by_name_job_instances_by_name_get) | **GET** /job_instances/by_name/ | Read Job Instance By Name
*DefaultApi* | [**read_job_instance_job_instances_job_instance_id_get**](docs/DefaultApi.md#read_job_instance_job_instances_job_instance_id_get) | **GET** /job_instances/{job_instance_id} | Read Job Instance
*DefaultApi* | [**read_log_logs_job_instance_id_get**](docs/DefaultApi.md#read_log_logs_job_instance_id_get) | **GET** /logs/{job_instance_id} | Read Log
*DefaultApi* | [**read_provider_by_name_providers_by_name_get**](docs/DefaultApi.md#read_provider_by_name_providers_by_name_get) | **GET** /providers/by_name/ | Read Provider By Name
*DefaultApi* | [**read_provider_providers_provider_id_get**](docs/DefaultApi.md#read_provider_providers_provider_id_get) | **GET** /providers/{provider_id} | Read Provider
*DefaultApi* | [**read_provider_type_by_name_provider_types_by_name_get**](docs/DefaultApi.md#read_provider_type_by_name_provider_types_by_name_get) | **GET** /provider_types/by_name | Read Provider Type By Name
*DefaultApi* | [**read_repository_by_name_repositories_by_name_get**](docs/DefaultApi.md#read_repository_by_name_repositories_by_name_get) | **GET** /repositories/by_name/ | Read Repository By Name
*DefaultApi* | [**read_ssh_key_by_name_ssh_keys_by_name_get**](docs/DefaultApi.md#read_ssh_key_by_name_ssh_keys_by_name_get) | **GET** /ssh_keys/by_name/ | Read Ssh Key By Name
*DefaultApi* | [**read_users_me_users_me_get**](docs/DefaultApi.md#read_users_me_users_me_get) | **GET** /users/me | Read Users Me
*DefaultApi* | [**update_repository_repositories_by_name_patch**](docs/DefaultApi.md#update_repository_repositories_by_name_patch) | **PATCH** /repositories/by_name/ | Update Repository


## Documentation For Models

 - [ClientId](docs/ClientId.md)
 - [ClientSecret](docs/ClientSecret.md)
 - [ClusterIn](docs/ClusterIn.md)
 - [ClusterOut](docs/ClusterOut.md)
 - [FinishedAt](docs/FinishedAt.md)
 - [GrantType](docs/GrantType.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [Id](docs/Id.md)
 - [IdOut](docs/IdOut.md)
 - [JobInstanceIn](docs/JobInstanceIn.md)
 - [JobInstanceOut](docs/JobInstanceOut.md)
 - [LogOut](docs/LogOut.md)
 - [Provider](docs/Provider.md)
 - [ProviderOut](docs/ProviderOut.md)
 - [ProviderTypeOut](docs/ProviderTypeOut.md)
 - [RepositoryIn](docs/RepositoryIn.md)
 - [RepositoryOut](docs/RepositoryOut.md)
 - [SshKeyIn](docs/SshKeyIn.md)
 - [SshKeyOut](docs/SshKeyOut.md)
 - [ValidationError](docs/ValidationError.md)
 - [ValidationErrorLocInner](docs/ValidationErrorLocInner.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="OAuth2PasswordBearer"></a>
### OAuth2PasswordBearer

- **Type**: OAuth
- **Flow**: password
- **Authorization URL**: 
- **Scopes**: N/A


## Author




